macOSEndpointProtectionConfiguration の更新
名前空間: microsoft.graph
大事な: Microsoft Graph /beta バージョンの API は変更される可能性があります。実稼働環境での使用はサポートされていません。
注: Intune 用 Microsoft Graph API には、テナントの 有効な Intune ライセンスが必要です。
macOSEndpointProtectionConfiguration オブジェクトのプロパティを更新します。
前提条件
この API を呼び出すには、次のいずれかのアクセス許可が必要です。アクセス許可の選択方法などの詳細については、「アクセス許可」を参照してください。
| アクセス許可の種類 | アクセス許可 (特権の小さいものから大きいものへ) |
|---|---|
| 委任 (職場または学校のアカウント) | DeviceManagementConfiguration.ReadWrite.All |
| 委任 (個人用 Microsoft アカウント) | サポートされていません。 |
| アプリケーション | DeviceManagementConfiguration.ReadWrite.All |
HTTP 要求
PATCH /deviceManagement/deviceConfigurations/{deviceConfigurationId}
PATCH /deviceManagement/deviceConfigurations/{deviceConfigurationId}/groupAssignments/{deviceConfigurationGroupAssignmentId}/deviceConfiguration
PATCH /deviceManagement/deviceConfigurations/{deviceConfigurationId}/microsoft.graph.windowsDomainJoinConfiguration/networkAccessConfigurations/{deviceConfigurationId}
要求ヘッダー
| ヘッダー | 値 |
|---|---|
| Authorization | ベアラー <トークン> が必要です。 |
| 承諾 | application/json |
要求本文
要求本文で 、macOSEndpointProtectionConfiguration オブジェクトの JSON 表記を指定します。
次の表に 、macOSEndpointProtectionConfiguration を作成するときに必要なプロパティを示します。
| プロパティ | 種類 | 説明 |
|---|---|---|
| id | String | エンティティのキー。 deviceConfiguration から継承します |
| lastModifiedDateTime | DateTimeOffset | オブジェクトの最終更新の DateTime。 deviceConfiguration から継承します |
| roleScopeTagIds | String コレクション | この Entity インスタンスのスコープ タグの一覧。 deviceConfiguration から継承します |
| supportsScopeTags | ブール型 | 基になるデバイス構成がスコープ タグの割り当てをサポートするかどうかを示します。 ScopeTags プロパティへの割り当ては、この値が false で、エンティティがスコープ付きユーザーに表示されない場合は許可されません。 これは Silverlight で作成された従来のポリシーで発生し、Azure Portal でポリシーを削除して再作成することで解決できます。 このプロパティに値を設定するには、 SetExtrusionDirection メソッドを適用します。 deviceConfiguration から継承します |
| deviceManagementApplicabilityRuleOsEdition | deviceManagementApplicabilityRuleOsEdition | このポリシーの OS エディションの適用性。 deviceConfiguration から継承します |
| deviceManagementApplicabilityRuleOsVersion | deviceManagementApplicabilityRuleOsVersion | このポリシーの OS バージョンの適用ルール。 deviceConfiguration から継承します |
| deviceManagementApplicabilityRuleDeviceMode | deviceManagementApplicabilityRuleDeviceMode | このポリシーのデバイス モードの適用ルール。 deviceConfiguration から継承します |
| createdDateTime | DateTimeOffset | オブジェクトが作成された DateTime。 deviceConfiguration から継承します |
| 説明 | String | 管理者が指定した、デバイス構成についての説明。 deviceConfiguration から継承します |
| displayName | String | 管理者が指定した、デバイス構成の名前。 deviceConfiguration から継承します |
| version | Int32 | デバイス構成のバージョン。 deviceConfiguration から継承します |
| gatekeeperAllowedAppSource | macOSGatekeeperAppSources | macOS デバイスでアプリを実行できるダウンロード場所を決定するシステムとプライバシーの設定。 使用可能な値: notConfigured、macAppStore、macAppStoreAndIdentifiedDevelopers、anywhere。 |
| gatekeeperBlockOverride | ブール型 | true に設定すると、Gatekeeper のユーザーオーバーライドは無効になります。 |
| firewallEnabled | ブール型 | ファイアウォールを有効にするかどうかを指定します。 |
| firewallBlockAllIncoming | ブール型 | "すべての受信接続をブロックする" オプションに対応します。 |
| firewallEnableStealthMode | ブール型 | "ステルス モードを有効にする" に対応します。 |
| firewallApplications | macOSFirewallApplication コレクション | ファイアウォール設定を使用するアプリケーションの一覧。 この一覧に含まれるアプリケーションのファイアウォール設定は、ユーザーによって決まります。 このコレクションには、最大で 500 個の要素を含めることができます。 |
| fileVaultEnabled | ブール型 | FileVault を有効にするかどうかを指定します。 |
| fileVaultSelectedRecoveryKeyTypes | macOSFileVaultRecoveryKeyTypes | FileVault が有効になっている場合は必須で、使用する回復キーの種類を決定します。 . 可能な値は notConfigured、institutionalRecoveryKey、personalRecoveryKey です。 |
| fileVaultInstitutionalRecoveryKeyCertificate | Binary | 選択した回復キーの種類に、InstitutionalRecoveryKey が含まれる場合は必須です。 機関の回復キーを設定するために使用される DER エンコードされた証明書ファイル。 |
| fileVaultInstitutionalRecoveryKeyCertificateFileName | String | UI に表示する機関の回復キー証明書のファイル名。 (*.der)。 |
| fileVaultPersonalRecoveryKeyHelpMessage | String | 選択した回復キーの種類に PersonalRecoveryKey が含まれる場合は必須です。 個人用回復キーを取得する方法を説明する短いメッセージがユーザーに表示されます。 |
| fileVaultAllowDeferralUntilSignOut | Boolean | オプション。 true に設定すると、ユーザーはサインアウトするまで FileVault の有効化を延期できます。 |
| fileVaultNumberOfTimesUserCanIgnore | Int32 | 省略可能。 Defer オプションを使用する場合、ユーザーがサインインするために FileVault が必要になる前に、ユーザーが FileVault を有効にするように求めるプロンプトを無視できる最大回数です。 -1 に設定すると、FileVault が有効になるまで FileVault を有効にするように求めるメッセージが常に表示されます。しかし、ユーザーは FileVault の有効化をバイパスできます。 これを 0 に設定すると、機能が無効にされます。 |
| fileVaultDisablePromptAtSignOut | Boolean | 省略可能。 Defer オプションを使用する場合、true に設定されている場合、ユーザーはサインアウト時に FileVault を有効にするように求めされません。 |
| fileVaultPersonalRecoveryKeyRotationInMonths | Int32 | 省略可能。 選択した回復キーの種類に PersonalRecoveryKey が含まれる場合、そのキーを数か月で回転する頻度。 |
| fileVaultHidePersonalRecoveryKey | Boolean | 省略可能。 FileVault 暗号化中に非表示の個人用回復キーがユーザーの画面に表示されないので、誤った手で終了するリスクが軽減されます。 |
| advancedThreatProtectionRealTime | enablement | macOS で Microsoft Defender for Endpoint (旧 Microsoft Defender Advanced Threat Protection) のリアルタイム保護を有効にするかどうかを決定します。 可能な値は notConfigured、enabled、disabled です。 |
| advancedThreatProtectionCloudDelivered | enablement | macOS で Microsoft Defender for Endpoint のクラウド配信保護を有効にするかどうかを決定します。 可能な値は notConfigured、enabled、disabled です。 |
| advancedThreatProtectionAutomaticSampleSubmission | enablement | macOS で Microsoft Defender for Endpoint の自動ファイル サンプル送信を有効にするかどうかを指定します。 可能な値は notConfigured、enabled、disabled です。 |
| advancedThreatProtectionDiagnosticDataCollection | enablement | macOS 上の Microsoft Defender for Endpoint の診断および使用状況データ収集を有効にするかどうかを決定します。 可能な値は notConfigured、enabled、disabled です。 |
| advancedThreatProtectionExcludedFolders | String コレクション | macOS 上の Microsoft Defender for Endpoint のウイルス対策スキャンから除外するフォルダーへのパスの一覧。 |
| advancedThreatProtectionExcludedFiles | String コレクション | macOS 上の Microsoft Defender for Endpoint のウイルス対策スキャンから除外するファイルへのパスの一覧。 |
| advancedThreatProtectionExcludedExtensions | String コレクション | macOS 上の Microsoft Defender for Endpoint のウイルス対策スキャンから除外するファイル拡張子の一覧。 |
| advancedThreatProtectionExcludedProcesses | String コレクション | macOS 上の Microsoft Defender for Endpoint のウイルス対策スキャンから除外するプロセス名の一覧。 |
応答
成功した場合、このメソッドは応答コードと、応答本文で更新された 200 OK macOSEndpointProtectionConfiguration オブジェクトを返します。
例
要求
以下は、要求の例です。
PATCH https://graph.microsoft.com/beta/deviceManagement/deviceConfigurations/{deviceConfigurationId}
Content-type: application/json
Content-length: 2786
{
"@odata.type": "#microsoft.graph.macOSEndpointProtectionConfiguration",
"roleScopeTagIds": [
"Role Scope Tag Ids value"
],
"supportsScopeTags": true,
"deviceManagementApplicabilityRuleOsEdition": {
"@odata.type": "microsoft.graph.deviceManagementApplicabilityRuleOsEdition",
"osEditionTypes": [
"windows10EnterpriseN"
],
"name": "Name value",
"ruleType": "exclude"
},
"deviceManagementApplicabilityRuleOsVersion": {
"@odata.type": "microsoft.graph.deviceManagementApplicabilityRuleOsVersion",
"minOSVersion": "Min OSVersion value",
"maxOSVersion": "Max OSVersion value",
"name": "Name value",
"ruleType": "exclude"
},
"deviceManagementApplicabilityRuleDeviceMode": {
"@odata.type": "microsoft.graph.deviceManagementApplicabilityRuleDeviceMode",
"deviceMode": "sModeConfiguration",
"name": "Name value",
"ruleType": "exclude"
},
"description": "Description value",
"displayName": "Display Name value",
"version": 7,
"gatekeeperAllowedAppSource": "macAppStore",
"gatekeeperBlockOverride": true,
"firewallEnabled": true,
"firewallBlockAllIncoming": true,
"firewallEnableStealthMode": true,
"firewallApplications": [
{
"@odata.type": "microsoft.graph.macOSFirewallApplication",
"bundleId": "Bundle Id value",
"allowsIncomingConnections": true
}
],
"fileVaultEnabled": true,
"fileVaultSelectedRecoveryKeyTypes": "institutionalRecoveryKey",
"fileVaultInstitutionalRecoveryKeyCertificate": "ZmlsZVZhdWx0SW5zdGl0dXRpb25hbFJlY292ZXJ5S2V5Q2VydGlmaWNhdGU=",
"fileVaultInstitutionalRecoveryKeyCertificateFileName": "File Vault Institutional Recovery Key Certificate File Name value",
"fileVaultPersonalRecoveryKeyHelpMessage": "File Vault Personal Recovery Key Help Message value",
"fileVaultAllowDeferralUntilSignOut": true,
"fileVaultNumberOfTimesUserCanIgnore": 3,
"fileVaultDisablePromptAtSignOut": true,
"fileVaultPersonalRecoveryKeyRotationInMonths": 12,
"fileVaultHidePersonalRecoveryKey": true,
"advancedThreatProtectionRealTime": "enabled",
"advancedThreatProtectionCloudDelivered": "enabled",
"advancedThreatProtectionAutomaticSampleSubmission": "enabled",
"advancedThreatProtectionDiagnosticDataCollection": "enabled",
"advancedThreatProtectionExcludedFolders": [
"Advanced Threat Protection Excluded Folders value"
],
"advancedThreatProtectionExcludedFiles": [
"Advanced Threat Protection Excluded Files value"
],
"advancedThreatProtectionExcludedExtensions": [
"Advanced Threat Protection Excluded Extensions value"
],
"advancedThreatProtectionExcludedProcesses": [
"Advanced Threat Protection Excluded Processes value"
]
}
応答
以下は、応答の例です。注:簡潔にするために、ここに示す応答オブジェクトは切り詰められている場合があります。すべてのプロパティは実際の呼び出しから返されます。
HTTP/1.1 200 OK
Content-Type: application/json
Content-Length: 2958
{
"@odata.type": "#microsoft.graph.macOSEndpointProtectionConfiguration",
"id": "7bf7f3ca-f3ca-7bf7-caf3-f77bcaf3f77b",
"lastModifiedDateTime": "2017-01-01T00:00:35.1329464-08:00",
"roleScopeTagIds": [
"Role Scope Tag Ids value"
],
"supportsScopeTags": true,
"deviceManagementApplicabilityRuleOsEdition": {
"@odata.type": "microsoft.graph.deviceManagementApplicabilityRuleOsEdition",
"osEditionTypes": [
"windows10EnterpriseN"
],
"name": "Name value",
"ruleType": "exclude"
},
"deviceManagementApplicabilityRuleOsVersion": {
"@odata.type": "microsoft.graph.deviceManagementApplicabilityRuleOsVersion",
"minOSVersion": "Min OSVersion value",
"maxOSVersion": "Max OSVersion value",
"name": "Name value",
"ruleType": "exclude"
},
"deviceManagementApplicabilityRuleDeviceMode": {
"@odata.type": "microsoft.graph.deviceManagementApplicabilityRuleDeviceMode",
"deviceMode": "sModeConfiguration",
"name": "Name value",
"ruleType": "exclude"
},
"createdDateTime": "2017-01-01T00:02:43.5775965-08:00",
"description": "Description value",
"displayName": "Display Name value",
"version": 7,
"gatekeeperAllowedAppSource": "macAppStore",
"gatekeeperBlockOverride": true,
"firewallEnabled": true,
"firewallBlockAllIncoming": true,
"firewallEnableStealthMode": true,
"firewallApplications": [
{
"@odata.type": "microsoft.graph.macOSFirewallApplication",
"bundleId": "Bundle Id value",
"allowsIncomingConnections": true
}
],
"fileVaultEnabled": true,
"fileVaultSelectedRecoveryKeyTypes": "institutionalRecoveryKey",
"fileVaultInstitutionalRecoveryKeyCertificate": "ZmlsZVZhdWx0SW5zdGl0dXRpb25hbFJlY292ZXJ5S2V5Q2VydGlmaWNhdGU=",
"fileVaultInstitutionalRecoveryKeyCertificateFileName": "File Vault Institutional Recovery Key Certificate File Name value",
"fileVaultPersonalRecoveryKeyHelpMessage": "File Vault Personal Recovery Key Help Message value",
"fileVaultAllowDeferralUntilSignOut": true,
"fileVaultNumberOfTimesUserCanIgnore": 3,
"fileVaultDisablePromptAtSignOut": true,
"fileVaultPersonalRecoveryKeyRotationInMonths": 12,
"fileVaultHidePersonalRecoveryKey": true,
"advancedThreatProtectionRealTime": "enabled",
"advancedThreatProtectionCloudDelivered": "enabled",
"advancedThreatProtectionAutomaticSampleSubmission": "enabled",
"advancedThreatProtectionDiagnosticDataCollection": "enabled",
"advancedThreatProtectionExcludedFolders": [
"Advanced Threat Protection Excluded Folders value"
],
"advancedThreatProtectionExcludedFiles": [
"Advanced Threat Protection Excluded Files value"
],
"advancedThreatProtectionExcludedExtensions": [
"Advanced Threat Protection Excluded Extensions value"
],
"advancedThreatProtectionExcludedProcesses": [
"Advanced Threat Protection Excluded Processes value"
]
}
フィードバック
フィードバックの送信と表示